Bug 1000860 - (CVE-2013-5588, CVE-2013-5589) CVE-2013-5588 CVE-2013-5589 cacti: XSS and SQL injection flaws
CVE-2013-5588 CVE-2013-5589 cacti: XSS and SQL injection flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130812,repor...
: Security
Depends On: 1000863 1000864
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 21:41 EDT by Murray McAllister
Modified: 2016-01-26 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-28 11:26:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-08-25 21:41:16 EDT
Two cross-site scripting (XSS) flaws and an SQL injection flaw were reported[1] in Cacti versions 0.8.8b and lower. The versions of Cacti shipped with Fedora and EPEL are affected by these flaws.

References:

https://bugs.gentoo.org/show_bug.cgi?id=482424
0.8.8 fix: http://svn.cacti.net/viewvc?view=rev&revision=7420
0.8.9 fix: http://svn.cacti.net/viewvc?view=rev&revision=7421
[1] http://bugs.cacti.net/view.php?id=2383
Comment 1 Murray McAllister 2013-08-25 21:45:39 EDT
The CVE request:

http://seclists.org/oss-sec/2013/q3/487

CVE-2013-5588 was assigned to the XSS issues.

CVE-2013-5589 was assigned to the SQL injection issue.
Comment 2 Murray McAllister 2013-08-25 21:49:25 EDT
Created cacti tracking bugs for this issue:

Affects: fedora-all [bug 1000863]
Affects: epel-all [bug 1000864]
Comment 3 Ken Dreyer 2013-08-28 19:13:46 EDT
I am pushing 0.8.8b-2 to Fedora ASAP. For EPEL 5 and 6, we're still waiting out the two week epel-testing clock on 0.8.8b-1, which can only go to stable on Aug 28th at the earliest. Once 0.8.8b-1 goes to stable in EPEL, I plan to push 0.8.8b-2 to EPEL 5 and 6.
Comment 4 Murray McAllister 2013-08-30 02:41:42 EDT
Thanks for the fast response Ken!
Comment 5 Ken Dreyer 2013-08-30 14:14:07 EDT
Looks like I miscounted the dates for 0.8.8b-1, so I was only able to submit it to epel-stable this afternoon.

I'll submit 0.8.8b-2 to epel-testing as soon as releng signs and pushes 0.8.8b-1 (24 hours or so).
Comment 6 Fedora Update System 2013-09-06 01:17:29 EDT
cacti-0.8.8b-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-06 01:23:07 EDT
cacti-0.8.8b-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-09 13:32:14 EDT
cacti-0.8.8b-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-15 14:33:56 EDT
cacti-0.8.8b-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.